Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » BIRT » birt runtime for birt 2.6.1?
birt runtime for birt 2.6.1? [message #607529] Tue, 21 September 2010 15:51 Go to next message
Kris Missing name is currently offline Kris Missing name
Messages: 47
Registered: July 2009
Member
Hi,

due to bug 318679 (*1), I updated the birt plugins to version 2.6.1 via
the update site http://download.eclipse.org/birt/update-site/2.6-interim/

Unfortunately I cannot find the birt runtime for 2.6.1 - at the birt
downloads page http://download.eclipse.org/birt/downloads/ there is the
runtime for 2.6.0 available.

Any idea where to get 2.6.1 runtime?

Thanks
Kris


(*1) https://bugs.eclipse.org/bugs/show_bug.cgi?format=multiple&a mp;id=318679
Re: birt runtime for birt 2.6.1? [message #626323 is a reply to message #607529] Wed, 22 September 2010 10:24 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

Start with this page:
http://download.eclipse.org/birt/downloads/build_list.php

Jason
Re: birt runtime for birt 2.6.1? [message #630006 is a reply to message #626323] Thu, 30 September 2010 06:59 Go to previous messageGo to next message
Anatoly  is currently offline Anatoly
Messages: 10
Registered: September 2010
Junior Member
Please, tell me - is there full description to update BIRT under Weblogic 10 to 2.6.1 ? I cannot find it Sad

Thank you !
Re: birt runtime for birt 2.6.1? [message #630086 is a reply to message #630006] Thu, 30 September 2010 11:28 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

Anatoly,

This is where you will find write-ups for deployment:
http://wiki.eclipse.org/BIRT/FAQ/Deployment

What error are you getting?

Jason

On 9/30/2010 6:59 AM, Anatoly wrote:
> Please, tell me - is there full description to update BIRT under
> Weblogic 10 to 2.6.1 ? I cannot find it :(
> Thank you !
Re: birt runtime for birt 2.6.1? [message #630454 is a reply to message #630086] Sat, 02 October 2010 13:09 Go to previous messageGo to next message
Anatoly  is currently offline Anatoly
Messages: 10
Registered: September 2010
Junior Member
Hello, Jason. I decide to install BIRT engine under Tomcat first.

Your link refer to http://www.eclipse.org/birt/phoenix/deploy/. Then, i open http://www.eclipse.org/birt/phoenix/deploy/viewerSetup.php

Below is full description of my steps to install BIRT runtime under Tomcat on my home PC

1. I got Apach Tomcar 7.02 from http://tomcat.apache.org
2. Unzip it to c:\Program Files\Apache Software Foundation\apache-tomcat-7.0.2 and start \bin\startup.bat
3. Got birt-runtime-2_6_1.zip, unzip it to temp dir and copy the content of WebViewerExample to c:\Program Files\Apache Software Foundation\apache-tomcat-7.0.2\webapps\birt-viewer
4. Open in browser http://localhost:8080/, then http://localhost:8080/manager, click on "/birt-viewer". Yes, i see "BIRT viewer has been installed" - but after click on "View Example" link i got the message:
"type Status report

message Servlet ViewerServlet is not available

description The requested resource (Servlet ViewerServlet is not available) is not available."


What did i wrong ?

Thank you.
Re: birt runtime for birt 2.6.1? [message #630459 is a reply to message #630454] Sat, 02 October 2010 14:06 Go to previous messageGo to next message
Anatoly  is currently offline Anatoly
Messages: 10
Registered: September 2010
Junior Member
I add now the CLASSPATH with value "c:\Program Files\Apache Software Foundation\apache-tomcat-7.0.2\webapps\birt-viewer\WEB-INF\l ib " to Windows enviroment on my PC and now engine works. I see the test report content ("Congratulations! If you can see this report, it means that the BIRT viewer is installed correctly. ")

But why it's wasn't described nowhere in report engine distributive ? Is it too hard to create short readme.txt file ?

[Updated on: Sat, 02 October 2010 14:09]

Report message to a moderator

Re: birt runtime for birt 2.6.1? [message #630707 is a reply to message #630459] Mon, 04 October 2010 11:23 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

Anatoly,

I am not certain what is happening here but tomcat should automatically
be adding WEB-INF/lib jars to the classpath. You should not have to do
this step.

Jason

On 10/2/2010 2:06 PM, Anatoly wrote:
> I add now the CLASSPATH with value "CLASSPATH=c:\Program Files\Apache
> Software Foundation\apache-tomcat-7.0.2\webapps\birt-viewer\WEB-INF\l ib
> " to Windows enviroment on my PC and now engine works. I see the test
> report content ("Congratulations! If you can see this report, it means
> that the BIRT viewer is installed correctly. ")
>
> But why it's wasn't described nowhere in report engine distributive ? Is
> it too hard to create short readme.txt file ?
Re: birt runtime for birt 2.6.1? [message #630715 is a reply to message #630707] Mon, 04 October 2010 12:35 Go to previous message
Anatoly  is currently offline Anatoly
Messages: 10
Registered: September 2010
Junior Member
I don't understand. Now i remove the CLASSPATH variable from Windows system environment, reboot the PC and succesfully open http://localhost:8080/birt-viewer/frameset?__report=test.rpt design - but yesterday it works only after adding CLASSPATH, in both 6.0.26 and 7.0.2 Tomacat version.

Anyway, thank you, Jason !

PS: maybe, you know the answer to other my question - http://www.eclipse.org/forums/index.php?t=msg&th=197800& amp;start=0 ?
Previous Topic:system requirment for BIRT Envirnment
Next Topic:Building Chart Engine Extension
Goto Forum:
  


Current Time: Fri Jul 25 01:21:59 EDT 2014

Powered by FUDForum. Page generated in 0.49402 seconds